
!!NotABCIncludeFile

 OMIT('_EndOfInclude_', _TXEditClassPresent_)
_TXEditClassPresent_ EQUATE(1)

!Token Queue Definition
tagqTokenTX         QUEUE,TYPE
NameToken             CSTRING(256)
Value                 CSTRING(1025)
                    END

MailMergeTokens     QUEUE,TYPE
TokenName             CSTRING(256)
TokenData             CSTRING(1025)
                    END

_FILEQUEUETX        QUEUE,TYPE
FileName              CSTRING(256)
FileLabel             &FILE
FileRecord            &GROUP
FileView              &VIEW
                    END

_RTF_INFOTX         GROUP,TYPE
MailOpen              LONG
MailFileBof           BOOL
MailFileEof           BOOL
                    END
 !INCLUDE('TXEQU.CLW'),ONCE

TXEdit CLASS,TYPE,MODULE('TX_Edit.CLW'),LINK('TX_Edit.CLW',_TXEditLinkMode_),DLL(_TXEditDllMode_)

!Private Properties
m_FEQButtonBar          SHORT(0), PRIVATE
m_FEQRuler              SHORT(0), PRIVATE
m_FEQVertRuler          SHORT(0), PRIVATE
m_FEQText               SHORT(0)
m_FEQStatusBar          SHORT(0), PRIVATE
m_FEQVSSpell            SHORT, PRIVATE
ControlChars            BYTE(1), PRIVATE
PageView                BYTE(1), PRIVATE
WorkFileName            CSTRING(256)
m_qToken                &tagqTokenTX,PRIVATE
MailFileQueue           &_FILEQUEUETX,PRIVATE
MailDocumentBuffer      STRING(65521),PRIVATE
MailDocumentModified    BOOL,PRIVATE
MailFilterValue         CSTRING(256),PRIVATE
MailOrderValue          CSTRING(256),PRIVATE
MailFirstRecord         LONG,PRIVATE
MailLastRecord          LONG,PRIVATE
MailRecords             LONG,PRIVATE
MailFileName            &FILE
MailFileView            &VIEW
MailFileOpen            BOOL,PRIVATE
MailFileEnd             SHORT,PRIVATE
PopupMailMerge          LONG,PRIVATE  ! Mail Merge popup dialog is running.    Hold the thread when running.
!Public Properties
TXControlProgID         STRING('TIS.TX.TextControl.26 {46}')
TXStatusBarProgID       STRING('TIS.TX.StatusBarControl.26 {41}')
TXRulerProgID           STRING('TIS.TX.RulerBarControl.26 {45}')
TXButtonBarProgID       STRING('TIS.TX.ButtonBarControl.26 {41}')
ButtonBarHeight         BYTE(15)
RulerHeight             USHORT(15)
VerticalRulerWidth      USHORT(15)
StatusBarHeight         USHORT(15)
DllName                 CSTRING(128)
hWnd                    LONG
m_rWindow               &WINDOW
m_Init                  BYTE
Measurements            BYTE
MetaItems               BYTE
MetaList                CSTRING(128),DIM(200)
TXLicense               STRING(120)
JSMergeFileName         STRING(120)
Info                    LIKE(_RTF_INFOTX)
PopUpFlatButtons        LONG
ThreadID                LONG
TokenList               &MailMergeTokens  
CurrentPrinterDC        LONG  
MaxSize                 LONG(-1)  
IsEntry                 LONG(FALSE)   
UseSimpleViewMode       LONG(FALSE)
!Methods
Construct               PROCEDURE()
Destruct                PROCEDURE()
Init                    PROCEDURE(*WINDOW iWindow,SHORT FEQText,<SHORT FEQButtonBar>,<SHORT FEQRuler>,<SHORT FEQStatusBar>,<STRING LicenseString>),VIRTUAL
InitAsText              PROCEDURE(*WINDOW iWindow,SHORT FEQText,STRING LicenseString, SHORT pParent=0, SHORT pOle=0),VIRTUAL
Kill                    PROCEDURE(),VIRTUAL
AddVerticalRuler        PROCEDURE(SHORT OleControl),VIRTUAL 
Append                  PROCEDURE(STRING FileName, LONG Offset=0, LONG Format=3, LONG AppendSettings=FALSE),LONG,PROC,VIRTUAL
ChangeZoom              PROCEDURE(LONG NewZoom),VIRTUAL !pass value from 10 to 400 %; 1 to fit page width
BaseLine                PROCEDURE(<LONG Value>),LONG,VIRTUAL
BLOBToMetaFile          PROCEDURE(LONG CtlWidth,LONG CtlHeight,<BLOB BlobVal>,<STRING PassStr>),LONG,PROC,VIRTUAL
BLOBToOneMetaFile       PROCEDURE(LONG CtlWidth,LONG CtlHeight,BLOB BlobVal),LONG,PROC,VIRTUAL
BookmarkCount           PROCEDURE(),LONG,VIRTUAL
BookmarkGetText         PROCEDURE(LONG FieldId),STRING,VIRTUAL
BookmarkGoToById        PROCEDURE(LONG FieldId),VIRTUAL
BookmarkGoToByTitle     PROCEDURE(STRING BookmarkTitle),VIRTUAL
BookmarkInsert          PROCEDURE(STRING BookmarkTitle),VIRTUAL
BulletsDecreaseLevel    PROCEDURE(),VIRTUAL
BulletsIncreaseLevel    PROCEDURE(),VIRTUAL
CanUndo                 PROCEDURE(),LONG,VIRTUAL
CanRedo                 PROCEDURE(),LONG,VIRTUAL
ClearMetaList           PROCEDURE(),VIRTUAL
CloseJSMergeFile        PROCEDURE(),VIRTUAL
ColorMailMergeField     PROCEDURE(LONG FieldColor),VIRTUAL
CurrentPages            PROCEDURE(),LONG,VIRTUAL
DeleteField             PROCEDURE(LONG ID),LONG,VIRTUAL
DeleteCurrentField      PROCEDURE(),LONG,PROC,VIRTUAL
DeleteCurrentPrinterDC  PROCEDURE(),LONG,PROC,VIRTUAL
DeleteWMFs              PROCEDURE(),VIRTUAL
DisplayTokenList        PROCEDURE(*CSTRING pText,*CSTRING pData, LONG X = 0, LONG Y=0),LONG,VIRTUAL,PROC
DocToMetaFile           PROCEDURE(),LONG,VIRTUAL
EasyInit                PROCEDURE(*WINDOW iWindow, SHORT FEQText,<SHORT FEQButtonBar>,<SHORT FEQRuler>,<SHORT FEQStatusBar>)
Find                    PROCEDURE(),VIRTUAL
Find                    PROCEDURE(STRING FindWhat, LONG Start = 0, LONG Options=0),LONG,VIRTUAL
FindReplace             PROCEDURE(),VIRTUAL
FontBold                PROCEDURE(<LONG Value>),LONG,VIRTUAL,PROC
FontItalic              PROCEDURE(<LONG Value>),LONG,VIRTUAL,PROC
FontName                PROCEDURE(<STRING FontName>),STRING,VIRTUAL,PROC
FontSize                PROCEDURE(<LONG Value>),LONG,VIRTUAL,PROC
FontStrikethru          PROCEDURE(<LONG Value>),LONG,VIRTUAL,PROC
FontUnderline           PROCEDURE(<LONG Value>),LONG,VIRTUAL,PROC
FontUnderlineStyle      PROCEDURE(<LONG Value>),LONG,VIRTUAL,PROC
FormatDoc               PROCEDURE(<*LONG PageWidth>,<*LONG PageHeight>,<*LONG PageMarginL>,<*LONG PageMarginT>,<*LONG PageMarginB>,<*LONG PageMarginR>),VIRTUAL
FormatFrame             PROCEDURE(),VIRTUAL
FormatImage             PROCEDURE(),VIRTUAL
FormatSelection         PROCEDURE(<LONG Value>),LONG,VIRTUAL,PROC
FormatTable             PROCEDURE(),VIRTUAL  
FormCheckBoxInsert      PROCEDURE(LONG IsChecked, LONG CheckedChar=02612H, LONG UncheckedChar=2610H),LONG,VIRTUAL,PROC
FormComboBoxInsert      PROCEDURE(STRING FieldText, STRING Items, LONG ShowDropDownArrow, LONG EmptyWidth=2000),LONG,VIRTUAL,PROC
FormDropDownListInsert  PROCEDURE(STRING Items, LONG SelectedIndex, LONG ShowDropDownArrow, LONG EmptyWidth=2000),LONG,VIRTUAL,PROC
FormTextFieldInsert     PROCEDURE(STRING FieldText, LONG EmptyWidth=2000),LONG,VIRTUAL,PROC
FormDateFieldInsert     PROCEDURE(LONG pDate, LONG ShowDateControl, LONG EmptyWidth = 2000, <STRING pFormat>),LONG,VIRTUAL,PROC
GetCurrentHyperlinkData PROCEDURE(*CSTRING LinkText, *CSTRING LinkURL),LONG,VIRTUAL
GetCurrentInputPosition PROCEDURE(*LONG PageNo, *LONG LineNo, *LONG ColumnNo),LONG,VIRTUAL,PROC
GetCursorXYCoordinates  PROCEDURE(*LONG X, *LONG Y),VIRTUAL
GetDataSize             PROCEDURE(LONG DataFormat, BYTE CurSelection=0),LONG,VIRTUAL
GetHyperlinkData        PROCEDURE(LONG ID,*CSTRING LinkText, *CSTRING LinkURL),LONG,VIRTUAL
GetFromBLOB             PROCEDURE(*BLOB BLOBVal),VIRTUAL
GetFromBLOB2            PROCEDURE(*BLOB BLOBVal),VIRTUAL
GetFieldData            PROCEDURE(LONG ID,*CSTRING FieldText, *CSTRING FieldData),LONG,PROC,VIRTUAL
GetFieldURL             PROCEDURE(LONG ID),STRING,VIRTUAL
GetFieldType            PROCEDURE(LONG ID),LONG,VIRTUAL
GetLineRect             PROCEDURE(LONG LineIndex,*LONG left, *LONG top, *LONG right,*LONG bottom ),VIRTUAL
GetPrinterDC            PROCEDURE(STRING pPrinterName, <STRING pPrinterDriver>),LONG,VIRTUAL
GetRTFFromMemo          PROCEDURE(*? MemoField),VIRTUAL
GetTextExtent           PROCEDURE(*LONG TextWidth, *LONG TextHeight ),VIRTUAL
GetTokenListCount       PROCEDURE(),LONG,VIRTUAL
GetTokenListItem        PROCEDURE(LONG ItemNo),STRING,VIRTUAL
GetTokenListValue       PROCEDURE(LONG ItemNo),STRING,VIRTUAL
GetTXDataSize           PROCEDURE(BYTE IncludeMargins=0),LONG,VIRTUAL
GoToURL                 PROCEDURE(STRING URL),VIRTUAL
GoToChar                PROCEDURE(LONG Offset),VIRTUAL
HeaderFooterActivate    PROCEDURE(LONG HeaderFooter),LONG,PROC,VIRTUAL
HighLightHyperlinks     PROCEDURE(LONG LinkColor,BYTE Underline),VIRTUAL 
HideCaret               PROCEDURE(),SHORT,PROC
HideSelection           PROCEDURE(<SHORT PropertyValue>),SHORT,PROC
ImageFilename           PROCEDURE(<STRING FileName>),STRING,PROC,VIRTUAL
ImageInsert             PROCEDURE(STRING FileName, LONG TextPos=-1, SHORT Alignment=1, LONG PosX=0, LONG PosY=0, |
                        SHORT ScaleX=100, SHORT ScaleY=100, SHORT TextFlow=2, SHORT DistanceL=10 , SHORT DistanceT=10, |
                        SHORT DistanceR=10, SHORT DistanceB=10),LONG,VIRTUAL
ImageInsertAsChar       PROCEDURE(STRING FileName, LONG TextPos, SHORT ScaleX, SHORT ScaleY),LONG,VIRTUAL
InitMailFile            PROCEDURE(STRING FileName, *FILE FileLabel, *GROUP FileRecord, *VIEW FileView),VIRTUAL
InsertDateTime          PROCEDURE(),VIRTUAL
InsertFPHeader          PROCEDURE(BYTE InsertHeader,<STRING HeaderText>),VIRTUAL
InsertHeader            PROCEDURE(BYTE InsertHeader,<STRING HeaderText>),VIRTUAL
InsertFPFooter          PROCEDURE(BYTE InsertFOOTER,<STRING FOOTERText>),VIRTUAL
InsertFooter            PROCEDURE(BYTE InsertFOOTER,<STRING FOOTERText>),VIRTUAL
InsertHyperLink         PROCEDURE(*CSTRING LinkText, *CSTRING LinkURL),VIRTUAL
InsertImage             PROCEDURE(BYTE AsChar, SHORT ImageSaveMode=1),VIRTUAL
InsertObject            PROCEDURE(BYTE AsChar),VIRTUAL
InsertPageNumbers       PROCEDURE(BYTE InsertIt),VIRTUAL
InsertTable             PROCEDURE(),VIRTUAL
InsertText              PROCEDURE(STRING InText),VIRTUAL
InsertTextFile          PROCEDURE(),VIRTUAL
InsertToken             PROCEDURE(STRING TokenText,STRING TokenID),VIRTUAL
IsBLOBOK                PROCEDURE(*BLOB BLOBVal),LONG,VIRTUAL        
LimitText               PROCEDURE(LONG NumChars),VIRTUAL
LimitLine               PROCEDURE(LONG NumChars),VIRTUAL
ListAttrDialog          PROCEDURE(),VIRTUAL
Load                    PROCEDURE(STRING FileName, LONG Offset=0, LONG Format=3, LONG CurSelection=FALSE),LONG,PROC,VIRTUAL
LoadFile                PROCEDURE(<STRING FileToLoad>, <STRING FileMask>, BYTE SetWindowTiltle=TRUE,LONG FileAppend=FALSE),LONG,PROC,VIRTUAL
LoadFromBLOB            PROCEDURE(*BLOB SavedBlob, LONG DataFormat, LONG CurSelection=0),LONG,PROC,VIRTUAL
LoadFromMemory          PROCEDURE(STRING DataBuffer, LONG DataFormat, BYTE CurSelection=0),VIRTUAL
LoadTXFromCSTRING       PROCEDURE(*CSTRING SavedString),VIRTUAL
LoadTXFromSTRING        PROCEDURE(*STRING SavedString),VIRTUAL     
LockWindowUpdate        PROCEDURE(LONG Value),VIRTUAL     
LoseFocus               PROCEDURE(LONG NewControlHwnd=0),VIRTUAL
MailFilter              PROCEDURE(),VIRTUAL
MailInsert              PROCEDURE(),VIRTUAL
MailLocate              PROCEDURE(LONG Direction, <*STRING FieldName>), BOOL, PROC,VIRTUAL
MailMerge               PROCEDURE(BYTE UseFlatButtons=0),VIRTUAL
MailMergeRecord         PROCEDURE(*GROUP MergeFileRecord),VIRTUAL
MailMergeRestore        PROCEDURE(),VIRTUAL
MailMergeToolbox        PROCEDURE(BYTE UseFlatButtons=0),VIRTUAL
MailPrinter             PROCEDURE(),VIRTUAL
MailScreen              PROCEDURE(BYTE ScreenOn),VIRTUAL
ObjectAttrDialog        PROCEDURE(),VIRTUAL
ObjectCurrent           PROCEDURE(<SHORT ObjectId>),SHORT,VIRTUAL
ObjectGetSelected       PROCEDURE(LONG ObjectKind),LONG,VIRTUAL
OpenJSMergeFile         PROCEDURE(STRING FileName),VIRTUAL
ParagraphDialog         PROCEDURE(),VIRTUAL 
PrintDevice             PROCEDURE(LONG DeviceContextHandle),VIRTUAL
PrintDoc                PROCEDURE(BYTE PrintToDefault=0),LONG,PROC,VIRTUAL
PrintDoc                PROCEDURE(STRING DocName, LONG FirstPage, LONG LastPage, LONG Copies),PROC,VIRTUAL
PrintDocTX              PROCEDURE(BYTE PrintToDefault=0),LONG,PROC,VIRTUAL
PrintDocToMetaFiles     PROCEDURE(),LONG,VIRTUAL
PrintPage               PROCEDURE(LONG PageNo),PROC,VIRTUAL
PrintPageToMetaFile     PROCEDURE(LONG PageNo, STRING WmfName),LONG,PROC,VIRTUAL
PutToBLOB               PROCEDURE(*BLOB BLOBVal),VIRTUAL
PutToBLOB2              PROCEDURE(*BLOB BLOBVal),VIRTUAL
ReadInfo                PROCEDURE(),VIRTUAL
ReplaceMailMergeToken   PROCEDURE(STRING TokenText, STRING NewText),VIRTUAL
ReplaceToken            PROCEDURE(STRING TokenID, STRING TokenText),LONG,PROC,VIRTUAL
ReplaceTokenByText      PROCEDURE(STRING TokenText, STRING NewTokenText),LONG,PROC,VIRTUAL
Resize                  PROCEDURE(),VIRTUAL
ResizeStatusBar         PROCEDURE(),VIRTUAL
RestoreMergeFieldColors PROCEDURE(),VIRTUAL
RunPopupMailMerge       PROCEDURE(),VIRTUAL
Save                    PROCEDURE(STRING FileName, LONG Offset=0, LONG Format=3, LONG CurSelection=FALSE),LONG,PROC,VIRTUAL
SaveRTFToMemo           PROCEDURE(*? MemoField),VIRTUAL
SaveAs                  PROCEDURE(STRING FileName, BYTE FileFormat=0),VIRTUAL
SaveAsMSWord            PROCEDURE(),VIRTUAL
SaveCurFile             PROCEDURE(),VIRTUAL
SaveFileAs              PROCEDURE(<STRING FileMask>),VIRTUAL
SaveSelection           PROCEDURE(LONG pMode=TRUE),VIRTUAL
SaveTXToCSTRING         PROCEDURE(*CSTRING SavedString,*LONG DataSize,BYTE IncludeMargins=0),VIRTUAL
SaveTXToSTRING          PROCEDURE(*STRING SavedString,*LONG DataSize,BYTE IncludeMargins=0),VIRTUAL
SaveToBLOB              PROCEDURE(*BLOB SavedBlob, LONG DataFormat, LONG CurSelection=0),LONG,PROC,VIRTUAL
SaveToMemory            PROCEDURE(*STRING SavedString,*LONG BytesWritten, LONG DataFormat, BYTE CurSelection=0),VIRTUAL
SaveToMetafile          PROCEDURE(STRING SaveFileName),LONG  
SetForegroundWindow     PROCEDURE(LONG pHandle),VIRTUAL
ScrollBars              PROCEDURE(<LONG Value>),LONG,VIRTUAL,PROC
ScrollPosX              PROCEDURE(<LONG Value>),LONG,VIRTUAL,PROC
ScrollPosY              PROCEDURE(<LONG Value>),LONG,VIRTUAL,PROC
SectionFormatDialog     PROCEDURE(LONG ActiveTab = 0),VIRTUAL
SelectAll               PROCEDURE(),VIRTUAL
SelectWord              PROCEDURE(*LONG StartPos,*LONG EndPos),VIRTUAL
SelLength               PROCEDURE(<LONG Value>),LONG,VIRTUAL,PROC
SelStart                PROCEDURE(<LONG Value>),LONG,VIRTUAL,PROC
SetColor                PROCEDURE(),VIRTUAL
SetBackgroundColor      PROCEDURE(),VIRTUAL
SetScaleUnits           PROCEDURE(BYTE ScaleUnits),VIRTUAL
ShowControlChars        PROCEDURE(),VIRTUAL
ShowGridLines           PROCEDURE(),VIRTUAL,VIRTUAL
ShowPageView            PROCEDURE(BYTE PageView),VIRTUAL
StyleDialog             PROCEDURE(),VIRTUAL
TabCurrent              PROCEDURE(<SHORT PropertyValue>),SHORT
TabKey                  PROCEDURE(<SHORT PropertyValue>),SHORT,PROC
TabPos                  PROCEDURE(<SHORT PropertyValue>),SHORT
TabType                 PROCEDURE(<SHORT PropertyValue>),SHORT
TextFrameInsert         PROCEDURE(LONG TextPos, SHORT Alignment, LONG PosX, LONG PosY, SHORT Width, SHORT Height, SHORT TextFlow, SHORT DistanceL, SHORT DistanceT, SHORT DistanceR, SHORT DistanceB),SHORT,VIRTUAL
TextFrameSelect         PROCEDURE(SHORT TextFrameId),LONG,VIRTUAL
Text_                   PROCEDURE(<STRING pText>),STRING,VIRTUAL,PROC
VTSpellCheck            PROCEDURE(),VIRTUAL
VSSpellCheck            PROCEDURE(SHORT FEQVSSpell),VIRTUAL
WTSpellCheck            PROCEDURE(SHORT FEQWTSpell),VIRTUAL
VSSpellInit             PROCEDURE(SHORT FEQVSSpell),VIRTUAL
VSCheckTyping           PROCEDURE(),VIRTUAL
VSProcessTypingError    PROCEDURE(LONG SelStart,LONG SelLength,SHORT Suggestions),VIRTUAL
TXFontDialog            PROCEDURE(),VIRTUAL
WordCount               PROCEDURE(),LONG,VIRTUAL
Undo                    PROCEDURE(),VIRTUAL
UpdateHyperLinkURL      PROCEDURE(LONG ID,*CSTRING LinkURL),VIRTUAL
UpdateField             PROCEDURE(LONG ID,<*CSTRING FieldText>,<*CSTRING FieldToken>),LONG,PROC,VIRTUAL
Redo                    PROCEDURE(),VIRTUAL   
RTFImport               PROCEDURE(STRING Filename, LONG Extended=0),LONG,PROC,VIRTUAL
SavePageToMetaFile      PROCEDURE(LONG PageNo, STRING WmfName),LONG,PROC,VIRTUAL
SelectObject            PROCEDURE(SHORT bInsertAsCharacter,SHORT pTXControl,SHORT nLeft,SHORT nTop),PRIVATE,VIRTUAL
SetControlStyle         PROCEDURE(SHORT ControlFEQ, SHORT Style),VIRTUAL
SetFocusToClarionControl   PROCEDURE(LONG CtlHwnd),VIRTUAL
SetFocusToTextControl   PROCEDURE(),VIRTUAL
SetFocusToTextControlAndSelect   PROCEDURE(),VIRTUAL
SetListType             PROCEDURE(LONG ListType),VIRTUAL
SetNumberingType        PROCEDURE(LONG NumberingFormat),VIRTUAL
SetPageHeight           PROCEDURE(LONG PageHeight),VIRTUAL
SetPageWidth            PROCEDURE(LONG PageWidth),VIRTUAL
ShowPopUpMenu           PROCEDURE(),VIRTUAL
ShowPopUpMenuWithMM     PROCEDURE(),VIRTUAL
ShowToolbox             PROCEDURE(STRING ToolBoxType),VIRTUAL
FormatDocDialog         PROCEDURE(WINDOW pWindow,SHORT pTXText,<*LONG PageWidth>,<*LONG PageHeight>,<*LONG PageMarginL>,<*LONG PageMarginT>,<*LONG PageMarginB>,<*LONG PageMarginR>),BYTE,PRIVATE,VIRTUAL
NewDoc                  PROCEDURE(Byte Force=0),LONG,VIRTUAL
TXCut                   PROCEDURE(),VIRTUAL
TXCopy                  PROCEDURE(),VIRTUAL
TXPaste                 PROCEDURE(),VIRTUAL
TXCanCopy               PROCEDURE(),LONG,VIRTUAL
TXCanPaste              PROCEDURE(),LONG,VIRTUAL
TXSetEditMode           PROCEDURE(LONG EditMode),VIRTUAL
StreamToMetaFile        PROCEDURE(LONG CtlWidth,LONG CtlHeight,<*CSTRING TXData>,<STRING PassStr>,<STRING TXFileName>),LONG,PRIVATE,VIRTUAL
CheckForHeader          PROCEDURE(*CSTRING DataString, *LONG DataSize, *DOC_DATA Doc),LONG,PROC,PRIVATE,VIRTUAL
!Additional Table methods
InsertCol               PROCEDURE(LONG TableID, LONG POSITION = -2),VIRTUAL
InsertRow               PROCEDURE(LONG TableID, LONG POSITION = -2),LONG,VIRTUAL,PROC
TabDialog               PROCEDURE(),LONG,VIRTUAL,PROC
TableDelete             PROCEDURE(LONG TableID),LONG,VIRTUAL,PROC
TableDeleteColumn       PROCEDURE(),LONG,PROC,VIRTUAL
TableDeleteLines        PROCEDURE(),LONG,PROC,VIRTUAL
TableInsertColumn       PROCEDURE(LONG InsertPosition),LONG,PROC,VIRTUAL
TableInsertLines        PROCEDURE(LONG InsertPosition,LONG Lines),LONG,PROC,VIRTUAL
TableSplit              PROCEDURE(LONG SplitPosition),LONG,PROC,VIRTUAL
TableRows               PROCEDURE(LONG TableID),LONG,VIRTUAL
Row_Data                PROCEDURE(LONG TableID, LONG Row, LONG Col, STRING Text),VIRTUAL
TableNext               PROCEDURE(LONG EnumerationNumber, *LONG TableId),LONG,VIRTUAL,PROC
ShowGridLines           PROCEDURE(LONG TableID, LONG LineWidth=1),VIRTUAL
TableAtInputPos         PROCEDURE(),LONG,VIRTUAL
ShowTablePopUpMenu      PROCEDURE(),VIRTUAL
SelectTable             PROCEDURE(LONG TableID),VIRTUAL
Zoom                    PROCEDURE(LONG ZoomFactor),LONG,PROC,VIRTUAL !pass value from 10 to 400 %; 1 to fit page width
ZoomFactor              PROCEDURE(<LONG Value>),LONG,VIRTUAL,PROC
               END
_EndOfInclude_

